%define	lib_major	1
%define	lib_name 	%mklibname %{name} %{lib_major}
%define dev_name	%mklibname %{name} -d

Summary:	Utility for managing filesystem extended attributes
Name:		attr
Version:	2.5.2
Release:	%mkrel 3
Source0:	https://git.savannah.gnu.org/cgit/attr.git/snapshot/%{name}-%{version}.tar.gz
License:	GPLv2
Group:		System/Kernel and hardware
URL:		https://savannah.nongnu.org/projects/attr
BuildRequires:	gettext-devel

%description
A set of tools for manipulating extended attributes on filesystem
objects, in particular getfattr(1) and setfattr(1).
An attr(1) command is also provided which is largely compatible
with the SGI IRIX tool of the same name.

%package -n %{lib_name}
Summary:	Main library for libattr
Group:		System/Libraries
License:        LGPLv2.1
Requires(pre):	filesystem >= 2.1.9-18

%description -n	%{lib_name}
This package contains the library needed to run programs dynamically
linked with libattr.

%package -n %{dev_name}
Summary:	Extended attribute static libraries and headers
Group:		Development/C
License:        LGPLv2.1
Requires(pre):	filesystem >= 2.1.9-18
Requires:	%{lib_name} = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n	%{dev_name}
This package contains the libraries and header files needed to
develop programs which make use of extended attributes.
For Linux programs, the documented system call API is the
recommended interface, but an SGI IRIX compatibility interface
is also provided.

Currently only ext2, ext3, JFS and XFS support extended attributes.
The SGI IRIX compatibility API built above the Linux system calls is
used by programs such as xfsdump(8), xfsrestore(8) and xfs_fsr(8).

You should install libattr-devel if you want to develop programs
which make use of extended attributes.  If you install libattr-devel
then you'll also want to install attr.

%prep
%setup -q

%build
./autogen.sh
%configure \
	--disable-static
%make_build

%install
make install DESTDIR=%{buildroot}

# fix conflict with man-pages-1.56
rm -fr %{buildroot}{%_mandir/man2,%_datadir/doc}

# Remove unpackaged symlinks
find %{buildroot} -name "*.la" -delete

%find_lang %{name}

%files -f %{name}.lang
%doc doc/CHANGES README
%config(noreplace) /etc/xattr.conf
%{_bindir}/*
%{_mandir}/man1/*

%files -n %{lib_name}
%{_libdir}/lib%{name}.so.%{lib_major}{,.*}

%files -n %{dev_name}
%doc doc/CHANGES README
%{_libdir}/lib%{name}.so
%{_libdir}/pkgconfig/lib%{name}.pc
%{_mandir}/man3/*
%{_includedir}/%{name}/


%changelog
* Sun Jun 29 2025 umeabot <umeabot> 2.5.2-3.mga10
+ Revision: 2221920
- Mageia 10 Mass Rebuild

* Fri Apr 05 2024 wally <wally> 2.5.2-2.mga10
+ Revision: 2054584
- basesystem rebuild for i686

* Sun Mar 10 2024 daviddavid <daviddavid> 2.5.2-1.mga10
+ Revision: 2048977
- new version: 2.5.2

* Thu Mar 17 2022 umeabot <umeabot> 2.5.1-2.mga9
+ Revision: 1797144
- Mageia 9 Mass Rebuild

* Thu Jul 01 2021 joequant <joequant> 2.5.1-1.mga9
+ Revision: 1734466
- update to 2.5.1

* Wed Feb 12 2020 umeabot <umeabot> 3.mga8-current
+ Revision: 1510477
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Fri Sep 21 2018 umeabot <umeabot> 2.4.48-2.mga7
+ Revision: 1295091
- Mageia 7 Mass Rebuild

* Wed Jan 17 2018 shlomif <shlomif> 2.4.48-1.mga7
+ Revision: 1194000
- Add BRs
- New version 2.4.48

* Wed Feb 10 2016 umeabot <umeabot> 2.4.47-7.mga6
+ Revision: 953111
- Mageia 6 Mass Rebuild

* Fri Aug 21 2015 tmb <tmb> 2.4.47-6.mga6
+ Revision: 867531
- rebuild for new gcc

* Wed Oct 15 2014 umeabot <umeabot> 2.4.47-5.mga5
+ Revision: 739157
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.4.47-4.mga5
+ Revision: 678033
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 2.4.47-3.mga4
+ Revision: 532365
- Mageia 4 Mass Rebuild

* Tue Aug 20 2013 wally <wally> 2.4.47-2.mga4
+ Revision: 468173
- drop major from devel pgk name
- disable static build
- clean .spec a bit

* Mon May 27 2013 kamil <kamil> 2.4.47-1.mga4
+ Revision: 428478
- new version 2.4.47
- drop P0 libexec.patch (merged upstream)
- update Source0
- rename DIST_ROOT to DESTDIR
- improve the autotools magic to build the package

* Sat May 04 2013 kamil <kamil> 2.4.46-5.mga4
+ Revision: 412290
- fix licensing issue: libraries are licensed under LGPLv2.1 not GPLv2

* Fri Jan 11 2013 umeabot <umeabot> 2.4.46-4.mga3
+ Revision: 346567
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jan 02 2013 pterjan <pterjan> 2.4.46-3.mga3
+ Revision: 337592
- Fix for _libdir != _libexecdir

* Sat Jul 21 2012 colin <colin> 2.4.46-2.mga3
+ Revision: 273158
- Update for usrmove

* Mon Sep 05 2011 ze <ze> 2.4.46-1.mga2
+ Revision: 138842
- version 2.4.46
- remove unused macro
- avoid use of variables and macros,use just one and preferably native macros
- fix renaming

* Sat Jan 08 2011 blino <blino> 2.4.44-3.mga1
+ Revision: 516
- remove obsolete postun
- imported package attr
+ pterjan <pterjan>
- imported package attr


* Tue Nov 30 2010 Oden Eriksson <oeriksson@mandriva.com> 2.4.44-2mdv2011.0
+ Revision: 603477
- rebuild

* Sun Dec 27 2009 Frederik Himpe <fhimpe@mandriva.org> 2.4.44-1mdv2010.1
+ Revision: 482852
- Update to new version 2.4.44
- New URL
- Don't run autoconf and friends, drop libtool BuildRequires

* Sun Aug 09 2009 Oden Eriksson <oeriksson@mandriva.com> 2.4.43-3mdv2010.0
+ Revision: 413121
- rebuild

* Sat Dec 20 2008 Oden Eriksson <oeriksson@mandriva.com> 2.4.43-2mdv2009.1
+ Revision: 316460
- rebuild

* Tue Aug 05 2008 Frederik Himpe <fhimpe@mandriva.org> 2.4.43-1mdv2009.0
+ Revision: 264074
- New version 2.4.43

* Mon Jun 16 2008 Thierry Vignaud <tv@mandriva.org> 2.4.41-2mdv2009.0
+ Revision: 220467
- rebuild

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Mon Feb 11 2008 Frederik Himpe <fhimpe@mandriva.org> 2.4.41-1mdv2008.1
+ Revision: 165416
- New upstream release

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Mon Nov 19 2007 Jérôme Soyer <saispo@mandriva.org> 2.4.39-1mdv2008.1
+ Revision: 110198
- New release 2.4.39

* Tue Sep 18 2007 Guillaume Rousse <guillomovitch@mandriva.org> 2.4.38-4mdv2008.0
+ Revision: 89578
- rebuild

* Thu Jun 07 2007 Anssi Hannula <anssi@mandriva.org> 2.4.38-3mdv2008.0
+ Revision: 36139
- rebuild with correct optflags

  + Christiaan Welvaart <spturtle@mandriva.org>
    - 2.4.38


* Sat Mar 03 2007 Giuseppe Ghibò <ghibo@mandriva.com> 2.4.32-2mdv2007.0
+ Revision: 131826
- Rebuilt.

* Tue Oct 31 2006 Oden Eriksson <oeriksson@mandriva.com> 2.4.32-1mdv2007.1
+ Revision: 74654
- Import attr

* Sun Jul 09 2006 Giuseppe Ghibò <ghibo@mandriva.com> 2.4.32-1mdv2007.0
- 2.4.32.

* Fri May 05 2006 Christiaan Welvaart <cjw@daneel.dyndns.org> 2.4.28-1mdk
- 2.4.28

* Wed Jan 11 2006 Christiaan Welvaart <cjw@daneel.dyndns.org> 2.4.23-2mdk
- add BuildRequires: libtool

* Wed Aug 03 2005 Giuseppe Ghibò <ghibo@mandriva.com> 2.4.23-1mdk
- 2.4.23.

* Mon May 09 2005 Frederic Crozat <fcrozat@mandriva.com> 2.4.16-2mdk 
- Don't package .la file, libtool doesn't handle well .a and .so.* in
  separates directories

* Mon May 24 2004 Giuseppe Ghibò <ghibo@mandrakesoft.com> 2.4.16-1mdk
- 2.4.16.

* Fri Apr 30 2004 Juan Quintela <quintela@mandrakesoft.com> 2.4.15-1mdk
- 2.4.15.

